﻿@{
    ViewBag.Title = "Index";
    Layout = "~/Areas/MasterData/Views/Shared/_Layout.cshtml";
  
}
@Styles.Render("~/bundles/DataTables-CSS")
@Scripts.Render("~/bundles/DataTables-JS")

<h1 class="page-header">@CustomerAgingResource.CAR</h1>

<div class="row">
    <div class="col-md-3">
        <div class="panel-group" id="accordion">
            <div class="panel panel-default">
                <div class="panel-heading buscar_main">
                    <h3 class="panel-title">
                        <a class="" data-toggle="collapse" data-parent="" href="">@ItemMaster.Search</a>
                       
                    </h3>
                </div>
                <div id="collapseOne" class="panel-collapse collapse in">

                    <div class="panel-body">
                        
                            <div class="form-group">
                                @Html.TextBox("txtCodeBP", null, new { @Id = "txtCodeBP", @placeholder = @BusinessPartners.Code, @class = "form-control" })
                            </div>
                            <div class="form-group">
                                @Html.TextBox("txtNameBP", null, new { @Id = "txtNameBP", @placeholder = @BusinessPartners.Name, @class = "form-control" })
                            </div>
                            <div class="form-group">
                                <button type="button" class="btn btn-success btn-ls pull-left" data-toggle="modal" data-target="#VendorModal"><span class="glyphicon glyphicon-search"></span> @PurchaseOrders.Search @BusinessPartners.BP</button>
                                <button type="button" class="btn btn-success btn-ls pull-right" id="btnClean"><span class="glyphicon glyphicon-remove"></span> @BusinessPartners.Clean</button>
                            </div>
                      </div>
                    
                    <div class="panel-footer">
                        <button type="button" id="btViewCAR" class="btn btn-success btn-ls pull-left" data-toggle="modal"><span class="glyphicon glyphicon-search"></span> @PurchaseOrders.View @CustomerAgingResource.CAR </button>

                    </div>
                </div>
            </div>
        </div>
    </div>


    <div id="BodyReport" class="col-md-9">
        @*@Html.Partial("_CustomerAgingReportList", new List<CustomerAgingReportLineView>())*@
    </div>

</div>

@*Modal Vendors*@
<div class="modal fade" id="VendorModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabelVendorModalVendor">@PurchaseOrders.Search @BusinessPartners.BP</h4>
            </div>
            <div class="">
                <div class="bs-example">
                    <div class="col-md-4" style="padding-top:0px;">
                        <div class="row">
                            <label class="col-md-3 control-label">@PurchaseOrders.Code</label>
                            <div class="col-md-9">
                                @Html.TextBox("CodeBP", null, new { @Id = "CodeBP", @Name = "txtCodeBP", @placeholder = @PurchaseOrders.Code, @class = "form-control" })
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-md-3 control-label">@PurchaseOrders.Name</label>
                            <div class="col-md-9">
                                @Html.TextBox("NameBP", null, new { @Id = "NameBP", @Name = "txtNameBP", @placeholder = @PurchaseOrders.Name, @class = "form-control" })
                            </div>
                        </div>
                    </div>
                    <div class="col-md-2 pull-right">
                        <button type="button" id="SearchVendor" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-search"></span> @PurchaseOrders.Search</button>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="table-responsive responsive table_cart">
                        <table id="assets-data-table-BP" class="table table-striped table-hover display" style="width:100%;"></table>
                        <script type="text/javascript">
                        var assetListBP;
                        $(function () {
                            assetListBP = {
                                dtBP: null,
                                init: function () {
                                    dtBP = $('#assets-data-table-BP').DataTable({
                                        "autoWidth": true,
                                        "serverSide": true,
                                        "processing": true,
                                        "data": null,
                                        "dom": '<"top"lp>rt<"bottom"ip>',
                                        "ajax": {
                                            "url": "/MasterData/CustomerAging/_BPList",
                                            "type": 'POST',
                                            "data": function (data) {
                                                data.pCardCode = $("#CodeBP").val();
                                                data.pCardName = $("#NameBP").val();
                                            }
                                        },
                                        "columns": [
                                            { "title": "@BusinessPartners.Code", "data": "CardCode", "name": "CardCode" },
                                            { "title": "@BusinessPartners.Name", "data": "CardName", "name": "CardName" },
                                            {
                                                "title": "@BusinessPartners.Type", "name": "CardType", "data": "CardType",
                                                "render": function (data, type, full, meta) {
                                                    switch (data) {
                                                        case "C": return "@BusinessPartners.Customer"; break;
                                                        case "S": return "@BusinessPartners.Vendor"; break;
                                                        case "L": return "@BusinessPartners.Lead"; break;
                                                        default: ""; break;
                                                    }
                                                }
                                            },
                                            {
                                                "title": "", "data": null, "width": "110px", "orderable": false, "name": "",
                                                "render": function (data, type, full, meta) {
                                                    var mReturnValue = "<button type=\"button\" class=\"btn btn-primary btn-xs\" onclick=\"SetVendor('" + data.CardCode + "','" + data.CardName + "',true);\"><span class=\"glyphicon glyphicon-arrow-right\"></span> @PurchaseOrders.Select</button>";
                                                    return mReturnValue;
                                                }
                                            }
                                        ],
                                        "lengthMenu": [[10, 25, 50, 100], [10, 25, 50, 100]],
                                        language: {
                                                processing: "@DataTables.Processing",
                                                lengthMenu: "@DataTables.Show _MENU_ @DataTables.Entries",
                                                info: "@DataTables.Showing _START_ @DataTables.To _END_ @DataTables.Of _TOTAL_ @DataTables.Entries",
                                                paginate: {
                                                    previous: "@DataTables.Previous",
                                                    next: "@DataTables.Next"
                                                }
                                            }
                                    });
                                },
                                refresh: function () {
                                    dtBP.ajax.reload();
                                }
                            }
                        });
                        </script>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">@PurchaseOrders.Cancel</button>
            </div>
        </div>
    </div>
</div>

@Scripts.Render("~/bundles/CustomerAging-Index")